Subject: [Fwd: RE: Working Group Last Call for draft-ietf-ospf-mib-update-06.txt]

From: Acee Lindem <[email-masked]>
Date: Tue, 29 Apr 2003 14:29:03 -0400

One issue that seems to come up over and over again is
how does the OSPF MIB support multiple OSPF instances. Is the context
(as defined  in RFC 3411) the standard mechanism for supporting multiple
routing protocol instances?

Thanks,
Acee
-------- Original Message --------
Subject: RE: Working Group Last Call for draft-ietf-ospf-mib-update-06.txt
Date: Tue, 29 Apr 2003 10:52:47 -0400
From: "Daniel Joyal" <[email-masked]>
To: "'Acee Lindem'" <[email-masked]>

I was just going to include a reference to the SNMP RFC
that defines contexts (See RFC 3411, section 3.3.1) and
the RFC that defines the entity MIB (RFC 2737).
The Entity MIB entLogicalTable provides information about what
contexts exist in an agent, and how to get to them.

  From John Flick:
   "In short, add a reference to the appropriate RFCs for contexts, but
   don't try to overspecify."

-Dan

  > -----Original Message-----
  > From: Acee Lindem [mailto:[email-masked]]
  > Sent: Tuesday, April 29, 2003 10:15 AM
  > To: Joyal, Daniel [BL60:NP30:EXCH]
  > Subject: Re: Working Group Last Call for
  > draft-ietf-ospf-mib-update-06.txt
  >
  >
  > Hi Dan,
  >
  > What are you going to say about multiple instances?
  >
  > Thanks,
  > Acee
  >
  > Daniel Joyal wrote:
  > > Version -06 of the OSPFv2 MIB update includes:
  > >
  > > - Add General group object for configuring reference bandwidth
  > > - Change General group object ospfOpaqueLsaSupport MAX-ACCESS from
  > > read-write to read-only
  > > - Deprecate ospfExtLsdbTable and add ospfAsLsdbTable
  > > - Add external route tag object to ospfAreaAggregateTable
  > for NSSA (RFC
  > > 3101)
  > > - Change status of RFC 1850 compliance and conformance groups from
  > > "deprecated" to
  > >   "current"
  > > - Add support for Graceful Restart
  > >
  > > Pending updates for version -07
  > >
  > > - Configuration objects to support detection of inactive neighbors
  > > - Resolution of issues raised by IESG's OAM expert reviewer
  > on version
  > > -05
  > > - Remaining open issues on traps
  > > - Add section on MIB support for multiple OSPF instances
  > > - Fix smilint errors/warnings
  > > - Fix ospfStubRouterAdvertisement Description clause per
  > Don's comment
  > > - Change "hitless restart" to "graceful restart" per Don's comment
  > > - Any additional issues from WG
  > >
  > > -Dan
  > >
  > >  > -----Original Message-----
  > >  > From: Don Goodspeed [mailto:[email-masked]]
  > >  > Sent: Monday, April 28, 2003 6:49 PM
  > >  > To: [email-masked]
  > >  > Subject: Re: Working Group Last Call for
  > >  > draft-ietf-ospf-mib-update-06.txt
  > >  >
  > >  >
  > >  > All,
  > >  >
  > >  > From my review of the diff's file between these two
  > >  > revisions, I have one specific comment and two general
  > comments.  >
  > >  > 1. (specific comment)  At the end of page 17, the description
  > >  > for the new ospfStubRouterAdvertisement attribute needs to
  > >  > end with a double-quote.  I see an o with an umlaut above it.
  > >  >
  > >  > 2. (general comment)  In the description for all of the new
  > >  > restart objects and notifications, replace the text "hitless
  > >  > restart" with "graceful restart".  This reflects the recent
  > >  > name change of that draft from Acee's last update (Graceful
  > >  > OSPF Restart).
  > >  >
  > >  > 3. (general comment)  All in all, the objects, their
  > >  > definitions, etc., look well thought out and well-defined.
  > >  > In my last email on this MIB, I suggested including all the
  > >  > needed items to "complete" this MIB update per most common
  > >  > implementations and per the most recent drafts.  I think
  > >  > we've met this goal.
  > >  >
  > >  > Thanks for moving this forward,
  > >  > Don Goodspeed
  > >  >
  > >  > --- On Wed 04/23, Acee Lindem < [email-masked] > wrote:
  > >  > From: Acee Lindem [mailto: [email-masked]]
  > >  > To: [email-masked]
  > >  > Date: Wed, 23 Apr 2003 14:30:00 -0400
  > >  > Subject: Re: Working Group Last Call for
  > >  > draft-ietf-ospf-mib-update-06.txt
  > >  >
  > >  > We've decided do another revision of this draft prior to
  > >  > WG<br>last call. If you forward comments quickly (I don't
  > >  > have an<br>exact date), they can be incorporated into the
  > >  > next revision.<br><br>Thanks,<br>Acee<br><br>Acee Lindem
  > >  > wrote:<br>> This is the start of a Working Group last call
  > >  > for<br>> draft-ietf-ospf-mib-update-06.txt, OSPF Version 2
  > >  > Management<br>> Information Base. All comments must be
  > >  > received by Wednesday,<br>> May 7th, 2003.<br>><br>> This
  > >  > document reached the AD review phase once before but<br>> we
  > >  > decided to add MIB support for recent OSPF
  > >  > extensions.<br>><br>><br>> A URL for this Internet-Draft
  > >  > is:<br>>
  > >
  > http://www.ietf.org/internet-drafts/draft-ietf-ospf-mib-update
-06.txt<br><br><br>--<br>Acee<br>
  >
  >
  > _______________________________________________
  > Join Excite! - http://www.excite.com
  > The most personalized portal on the Web!
  >

-- 
Acee

-- 
Acee

---

From: Alex Zinin <[email-masked]>
Date: Tue, 29 Apr 2003 23:20:44 -0400

Cc'ing rtg-mibs. Bert might help with the general
question of multiple protocol instances.

-- 
Alex
http://www.psg.com/~zinin/